export declare class PinYinInteractor {
    /** package pinyin转换组件 */
    private static _pinyin?;
    /** 字典 */
    private static _PIN_YIN_DATA?;
    /** 设置 package */
    static setPackage(value: any): void;
    /**
     * 获取拼音
     * @param chinese
     * @param formatFn
     * @returns string
     */
    static getPinyin(str: string, formatFn?: (value: string[]) => string): Promise<string>;
    static getFormatedPinyin(name: string): Promise<{
        familyNameSpell: string;
        firstNameSpell: string;
    }>;
    private static _capitalize;
    private static _formatPinyin;
    private static _initPackage;
    private static _getPinYinList;
    private static _convertPinyin;
    private static _search;
}
