/**
 * 文件流下载文件
 * @param blob
 * @param fileName
 */
export declare const blobFileDown: (blob: Blob, fileName: string) => void;
/**
 * 根据图片路径下载
 * @param imgsrc 图片路径
 * @param name 下载图片名称
 * @param type 格式图片，可选，默认png
 */
export declare const downloadImage: (imgsrc: string, name: string, type?: string) => void;
/**
 * 根据图片路径下载
 * @param src 图片路径
 * @param name 下载图片名称
 * @param type 格式图片，可选，默认png
 */
export declare const downloadImageTwo: (src: string, name: string, type?: string) => void;
/**
 * 创建 <a> 标签下载文件流格式图片
 * @param file
 * @param fileName
 */
export declare const downloadImgFile: (file: string, fileName?: string) => void;
/**
 * 文件流格式转为Base64格式下载
 * @param file 文件流数据
 */
export declare const downloadFileUrl: (file: Blob) => void;
