/**
 * 车辆信息验证
 */
declare class VehicleValidator {
    /**
     * 车牌号验证
     * @param vehicleLicense
     * @returns
     */
    static getVehicleLicenceError(vehicleLicence: string): string;
    /**
     * 发动机验证
     * @param engineNo
     * @returns
     */
    static getEngineNoError(engineNo: string): string;
    /**
     * 车架号验证
     * @param vehicleFrameNo
     * @returns
     */
    static getVehicleFrameNoError(vehicleFrameNo: string): string;
    /**
     * 非机动车车牌号
     * @param value 车牌号
     */
    static getNonMotorVehicleNoError(value: string): string;
}
export default VehicleValidator;
