import { KeyMapAny } from '../../interface';
/**
 * 检查文件类型
 * @param file
 * @returns
 */
export declare const checkFileType: (file: File) => Promise<unknown>;
/**
 * 读取文件内容
 * @param file
 * @param options
 * @returns
 */
export declare const readFile: (file: File, options?: any) => Promise<any>;
/**
 * 获取文件内容
 * @param file
 * @param options
 * @returns Promise<KeyMapAny<unknown>[]>
 */
export declare const getXlsxFileData: (file: File, options?: any) => Promise<KeyMapAny<unknown>[][]>;
