declare class EnvUtils {
    private static ua;
    private static screen;
    /**
     * 是否微信
     */
    static isWx: () => boolean;
    /**
     * 是否是安卓机
     */
    static isAndroid: () => boolean;
    /**
     * 是否是苹果机
     */
    static isIphone: () => boolean;
    /**
     * 判断是否在IphoneX打开
     */
    static isIphoneX: () => boolean;
    /**
     * 是否苹果6~8
     */
    static isIphone678: () => boolean;
    /**
     * 是否苹果6plus~8plus
     */
    static isIphone678Plus: () => boolean;
    /**
     * 是否苹果5
     */
    static isIphone5: () => boolean;
    /**
     * 获取苹果手机系统版本号
     */
    static iPhoneSystemVersion: () => number;
    static proHost: string;
    /**
     * 设置生产环境Host
     */
    static setProHost(host: string): void;
    /**
     * 是否在生产环境
     */
    static isPro(): boolean;
}
export default EnvUtils;
